%define module reflect
%define bname fest

%global namedreltag -SNAPSHOT
%global namedversion %{version}%{?namedreltag}

Name:          fest-reflect
Version:       1.3
Release:       %mkrel 1
Summary:       FEST Reflection
Group:         Development/Java
License:       ASL 2.0
Url:           http://fest.easytesting.org/
Source0:       fest-reflect-1.3-SNAPSHOT-src-svn.tar.gz
# ant build scripts
Source1:       fest-reflect-1.3-SNAPSHOT-autogeneratefiles.tar.gz

BuildRequires: fest-parent
BuildRequires: java-devel >= 0:1.6.0
BuildRequires: jpackage-utils

BuildRequires: fest-test
BuildRequires: fest-util
BuildRequires: junit4

BuildRequires: maven >= 0:2.0.8
BuildRequires: maven-ant-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      fest-util

Requires:      java >= 0:1.6.0
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Fluent Interface that simplifies usage of Java Reflection.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n fest-reflect-%{namedversion}

%build

mvn-rpmbuild ant:ant install javadoc:aggregate

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{bname}

install -m 644 target/%{name}-%{namedversion}.jar \
       $RPM_BUILD_ROOT%{_javadir}/%{bname}/%{module}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -m 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}.pom
%add_to_maven_depmap org.easytesting %{name} %{namedversion} JPP/%{bname} %{module}

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%doc LICENSE.txt
%dir %{_javadir}/%{bname}
%{_javadir}/%{bname}/%{module}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Mon Oct 31 2011 gil <gil> 1.3-1.mga2
+ Revision: 160456
- imported package fest-reflect

